<!DOCTYPE html>
<html th:replace="~{layout :: layout(~{::content},'../')}" xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="content">
			<div>
				<h1>Vos parties en cours</h1>
				<table class="table">
					<thead class="thead-dark">
						<tr>
							<th>#</th>
							<th>Date derniere action</th>
							<th>Joueurs</th>
							<th>Tour</th>
							<th>Taille</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr th:each="game,gameStat : ${games}" th:object="${game}">
							<td th:text="${gameStat['index']+1}">0</td>
							<td th:text="${#temporals.format(game.last_update, 'dd-MM-yyyy HH:mm')}">0</td>
							<td>
								<ul style="list-style: none;">
									<li th:each="player,playerStat : ${game.players}" th:object="${player}">
										<span th:if="${playerStat['index'] != 0}">VS<br/></span>
										<span th:text="*{name}"></span>
										<span th:if="${player.user !=null}">
										<span th:if="*{user.id} == ${current_user_id}"> (Vous)</span>
										</span>
									</li>
								</ul>
							</td>
							<td th:text="*{nb_turns}">1</td>
							<td th:text="*{grid_width + ' x ' + grid_height}">1</td>
							<td>
								<div th:each="player,playerStat : ${game.players}" th:object="${player}">
									<span th:if="${player.user !=null}">
									<a th:if="*{user.id} == ${current_user_id}" th:href="@{|/join/${game.id}/*{id}|}" class="btn btn-primary" role="button">
										<span class="oi oi-play" title="Play" aria-hidden="true"></span>Play
									</a>
									</span>
								</div>
								
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			
			<div>
				<h1>Game en attente de validation</h1>
				<table class="table">
					<thead class="thead-dark">
						<tr>
							<th>#</th>
							<th>Date de cr&eacute;ation</th>
							<th>Joueur</th>
							<th>Tour</th>
							<th>Taille</th>
							<th></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr th:each="game,gameStat : ${waiting_games}" th:object="${game}">
							<td th:text="${gameStat['index']+1}">0</td>
							<td th:text="${#temporals.format(game.start_time, 'dd-MM-yyyy HH:mm')}">0</td>
							<td>
								<ul style="list-style: none;">
									<li th:each="player,playerStat : ${game.players}" th:object="${player}">
										<span th:if="${playerStat['index'] != 0}">VS<br/></span>
										<span th:text="*{name}"></span>
										<span th:if="${player.user ==null}">(Vous)</span>	
									</li>
								</ul>
							</td>
							<td th:text="*{nb_turns}">1</td>
							<td th:text="*{grid_width + ' x ' + grid_height}">1</td>
							<td>
								<a th:href="@{|/deletegamerequest/*{id}|}" class="btn btn-danger" role="button">
									<span class="oi oi-delete" title="Supprimer" aria-hidden="true"></span>
								</a>
							</td>
							<td>
								<div th:each="player,playerStat : ${game.players}" th:object="${player}">
								<span th:if="${player.user ==null}">
									<a th:href="@{|/join/${game.id}|}" class="btn btn-primary" role="button">
										<span class="oi oi-play" title="Play" aria-hidden="true"></span>Play
									</a>
								</span>	
								</div>
								
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</body>
</html>